%global srcname pysword
%global commit 50a1b1a526e5d6511555c458df754498aaa3185f
%global sum Open source python API wrapper for Sword Bible files

Summary: %{sum}
Name: python-%{srcname}
Version: 0.2.3
Release: 1%{?dist}
Source0: https://gitlab.com/tgc-dk/%{srcname}/repository/archive.tar.gz?ref=%{version}#/%{srcname}-%{version}.tar.gz
License: GPLv2
BuildArch: noarch

URL: https://gitlab.com/tgc-dk/pysword

BuildRequires:  desktop-file-utils
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools

%description
A native Python reader of the SWORD Project Bible Modules.
Reads SWORD bible files (not commentaries etc.)
Detection of locally installed Swrod bible modules.
Supports all known SWORD module formats (ztext, ztext4, rawtext, rawtext4)
Read from zipped modules, like those available from
http://www.crosswire.org/sword/modules/ModDisp.jsp?modType=Bibles
Cleans the extracted text of OSIS, GBF or ThML tags.
Supports both python 2 and 3 (tested with 2.7 and 3.5)

%prep
%autosetup -n %{srcname}-%{version}

%build
%py3_build

%install
%py3_install

%files -n python-%{srcname}
%license LICENSE
%doc README.rst
%{python3_sitelib}

%changelog
* Sun Feb 11 2018 Tim Bentley <Tim.Bentley@openlp.org> - 0.2.3-1
- 0.2.3 Release repackage

* Sat Nov 26 2016 Tim Bentley <Tim.Bentley@openlp.org> - 0.2.3-0
- 0.2.3 Release
